ATA_SCSI_RBUF_GET(9)

NAME
ata_scsi_rbuf_get - Map response buffer.

SYNOPSIS

unsigned int ata_scsi_rbuf_get (struct scsi_cmnd * cmd, u8 ** buf_out);

ARGUMENTS

cmd SCSI command containing buffer to be mapped.

buf_out
    Pointer to mapped area.

DESCRIPTION

Maps buffer contained within SCSI command cmd.

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

Length of response buffer.

AUTHOR
Jeff Garzik.